'use strict';

var kit = require('@nuxt/kit');
var vite = require('./vite.cjs');
var webpack = require('./webpack.cjs');
require('@nuxt/schema');
require('unplugin');
require('./index.cjs');
require('node:fs');
require('node:buffer');
require('node:process');
require('@rollup/pluginutils');

var nuxt = kit.defineNuxtModule({
    meta: {
        name: 'nuxt-unplugin-starter',
        configKey: 'unpluginStarter',
    },
    defaults: {
    // ...default options
    },
    setup(options, _nuxt) {
        kit.addVitePlugin(() => vite(options));
        kit.addWebpackPlugin(() => webpack(options));
        // ...
    },
});

module.exports = nuxt;
